var stylesheet;
var id_bg, ctx_bg;
var id_bg2, ctx_bg2;
var id_hour, ctx_hour;
var id_minute, ctx_minute; 
var id_second, ctx_second;

function init() {
  stylesheet = document.styleSheets.item(0);
  id_bg = document.getElementById("bg");
  ctx_bg = id_bg.getContext("2d");
  id_bg2 = document.getElementById("bg2");
  ctx_bg2 = id_bg2.getContext("2d");
    id_hour = document.getElementById("hour");
    ctx_hour = id_hour.getContext("2d");
    id_minute = document.getElementById("minute");
    ctx_minute = id_minute.getContext("2d");
    id_second = document.getElementById("second");
    ctx_second = id_second.getContext("2d");
    
    //　短針
		ctx_hour.beginPath();
		ctx_hour.lineWidth = 3;
		ctx_hour.lineCap = "round"
    ctx_hour.fillStyle = "black";
    ctx_hour.moveTo(320, 200);
		ctx_hour.lineTo(320+20, 320);
		ctx_hour.lineTo(320-20, 320);
		ctx_hour.lineTo(320, 200);
		ctx_hour.stroke();
		ctx_hour.fill();

		ctx_hour.beginPath();
		ctx_hour.arc(320, 320, 30, 0, 2*Math.PI, false);
		ctx_hour.fill();
  
		ctx_hour.beginPath();
    ctx_hour.fillStyle = "white";
    ctx_hour.arc(320, 320, 20, 0, 2*Math.PI, false);
    ctx_hour.fill();
    //　長針
  ctx_minute.beginPath();
  ctx_minute.lineWidth = 3;
  ctx_minute.lineCap = "round"
  ctx_minute.fillStyle = "black";
  ctx_minute.moveTo(320, 100);
  ctx_minute.lineTo(320+15, 320);
  ctx_minute.lineTo(320-15, 320);
  ctx_minute.lineTo(320, 100);
  ctx_minute.stroke();
  ctx_minute.fill();
  
  ctx_minute.beginPath();
  ctx_minute.arc(320, 320, 30, 0, 2*Math.PI, false);
  ctx_minute.fill();
  
  ctx_minute.beginPath();
  ctx_minute.fillStyle = "white";
  ctx_minute.arc(320, 320, 20, 0, 2*Math.PI, false);
  ctx_minute.fill();
    //　秒針
    ctx_second.beginPath();
    ctx_second.lineWidth = 7;
  ctx_second.lineCap = "round"
    ctx_second.strokeStyle = "red";
    ctx_second.moveTo(320, 320);
    ctx_second.lineTo(320, 50);
    ctx_second.stroke();
    ctx_second.beginPath();
    ctx_second.fillStyle = "red";
    ctx_second.arc(320, 320, 15, 0, 2 * Math.PI, false);
    ctx_second.fill();
    
    // 文字盤
    ctx_bg.beginPath();
  ctx_bg.lineWidth = 10;
  ctx_bg.strokeStyle = "rgba(0,0,0,0.5)";
  ctx_bg.arc(320, 318, 298, 0, 2 * Math.PI, false);
  ctx_bg.stroke();
  
  ctx_bg.beginPath();
  ctx_bg.lineWidth = 1;
  var grad  = ctx_bg.createRadialGradient(320,800,0,320,800,2900);
    grad.addColorStop(0,"rgba(220,220,220,10)");
  grad.addColorStop(0.2,"rgba(220,220,220,10)");
  grad.addColorStop(0.203,"rgba(240,240,240,10.5)");
	grad.addColorStop(1,"rgba(255,255,255,10.5)");
    ctx_bg.fillStyle = grad;
    ctx_bg.arc(320, 320, 300, 0, 2 * Math.PI, false);
    ctx_bg.fill();
    
    //　目盛り＆数字
    for(i=1; i<=60; i++){
	if(i%5 == 0){
					ctx_bg.beginPath();
	  ctx_bg.fillStyle = "black";
	  ctx_bg.font = "normal 90px TrebuchetMS";
	  ctx_bg.textAlign = "center";
					ctx_bg.shadowColor = "rgba(0, 0, 0, 0.5)";
					ctx_bg.shadowOffsetX = 5;
					ctx_bg.shadowOffsetY = 10;
					ctx_bg.shadowBlur = 5;
	  ctx_bg.fillText(i/5, 320+ 230*Math.sin(i*Math.PI/30), 350- 220*Math.cos(i*Math.PI/30));
	  
					ctx_bg2.beginPath();
					ctx_bg2.fillStyle = "black";
					ctx_bg2.font = "normal 90px TrebuchetMS";
					ctx_bg2.textAlign = "center";
	  ctx_bg2.fillText(i/5, 320+ 230*Math.sin(i*Math.PI/30), 350- 220*Math.cos(i*Math.PI/30));
	}
    }

    setTime();
}

var cr_hours, cr_minutes, cr_seconds;
var s_rule, m_rule;
function setTime() {
  get_date = new Date();
  
  if(cr_minutes != get_date.getMinutes()){
  	cr_minutes = get_date.getMinutes();
  
  	m_angle = (cr_minutes==0)? 360 : cr_minutes*6;
    id_minute.style.transform = "rotate(" + (m_angle+2) + "deg)";
    id_minute.style.webkitTransform = "rotate(" + (m_angle+2) + "deg)";
    id_minute.style.MozTransform = "rotate(" + (m_angle+2) + "deg)";
    id_minute.style.OTransform = "rotate(" + (m_angle+2) + "deg)";
    id_minute.style.MSTransform = "rotate(" + (m_angle+2) + "deg)";
    id_minute.className = "move";
  }
  if(cr_seconds != get_date.getSeconds()){
  	cr_seconds = get_date.getSeconds();

  	s_angle = (cr_seconds==0)? 360 : cr_seconds*6;
	  id_second.style.transform = "rotate(" + (s_angle+2) + "deg)";
	  id_second.style.webkitTransform = "rotate(" + (s_angle+2) + "deg)";
	  id_second.style.MozTransform = "rotate(" + (s_angle+2) + "deg)";
	  id_second.style.OTransform = "rotate(" + (s_angle+2) + "deg)";
	  id_second.style.MSTransform = "rotate(" + (s_angle+2) + "deg)";
    id_second.className = "move";
  	id_second.addEventListener('transitionend',move_end,false);
  	id_second.addEventListener('webkitTransitionEnd',move_end,false);
  	id_second.addEventListener('OTransitionEnd',move_end,false);
  	id_second.addEventListener('MSTransitionEnd',move_end,false);
  }
  cr_hours = get_date.getHours();
  h_angle = cr_hours*30 + cr_minutes/60*30;
  id_hour.style.transform = "rotate(" + h_angle + "deg)";
  id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.MozTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.OTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.MSTransform = "rotate(" + h_angle + "deg)";
  setTimeout(setTime,100);

}
function move_end() {
  id_second.removeEventListener('transitionend',move_end,false);
  id_second.removeEventListener('webkitTransitionEnd',move_end,false);
  id_second.removeEventListener('OTransitionEnd',move_end,false);
  id_second.removeEventListener('MSTransitionEnd',move_end,false);
  wait();
}
function wait() {
  id_second.className = "stay";
  id_minute.className = "stay";
  get_date = new Date();
  cr_hours = get_date.getHours();
	cr_minutes = get_date.getMinutes();
  cr_seconds = get_date.getSeconds();
  
  h_angle = cr_hours*30 + cr_minutes/60*30;
  id_hour.style.transform = "rotate(" + h_angle + "deg)";
  id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.MozTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.OTransform = "rotate(" + h_angle + "deg)";
  id_hour.style.MSTransform = "rotate(" + h_angle + "deg)";
  m_angle = cr_minutes*6;
  id_minute.style.transform = "rotate(" + m_angle + "deg)";
  id_minute.style.webkitTransform = "rotate(" + m_angle + "deg)";
  id_minute.style.MozTransform = "rotate(" + m_angle + "deg)";
  id_minute.style.OTransform = "rotate(" + m_angle + "deg)";
  id_minute.style.MSTransform = "rotate(" + m_angle + "deg)";
  s_angle = cr_seconds*6;
  id_second.style.transform = "rotate(" + s_angle + "deg)";
  id_second.style.webkitTransform = "rotate(" + s_angle + "deg)";
  id_second.style.MozTransform = "rotate(" + s_angle + "deg)";
  id_second.style.OTransform = "rotate(" + s_angle + "deg)";
  id_second.style.MSTransform = "rotate(" + s_angle + "deg)";
}
